package com.mvc.dao;

import com.mvc.entity.DicConfigAuth;
import com.mvc.entity.DicConfigAuthExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DicConfigAuthMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    long countByExample(DicConfigAuthExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int deleteByExample(DicConfigAuthExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int insert(DicConfigAuth record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int insertSelective(DicConfigAuth record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    List<DicConfigAuth> selectByExample(DicConfigAuthExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    DicConfigAuth selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int updateByExampleSelective(@Param("record") DicConfigAuth record, @Param("example") DicConfigAuthExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int updateByExample(@Param("record") DicConfigAuth record, @Param("example") DicConfigAuthExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int updateByPrimaryKeySelective(DicConfigAuth record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-03-10 11:20:18
     */
    int updateByPrimaryKey(DicConfigAuth record);
}